---
title: Application
slug: Tools/Application
tags:
  - Application
  - Debugging
  - DevTools
  - Firefox
  - Guide
  - Manifests
  - Service Workers
---
<div>{{ToolsSidebar}}</div>

<p>The <strong>Application panel</strong> provides tools for inspecting and debugging modern web apps (also known as <a href="/en-US/docs/Glossary/Progressive_web_apps">Progressive Web Apps</a>). This includes inspection of <a href="/en-US/docs/Web/API/Service_Worker_API">service workers</a> and <a href="/en-US/docs/Web/Manifest">web app manifests</a>.</p>

<p><img alt="the firefox application panel zoomed out view showing a picture of two artic foxes" src="https://mdn.mozillademos.org/files/17308/sw-registered.jpg" style="border-style: solid; border-width: 1px; height: 667px; width: 900px;"></p>

<h2 id="Accessing_the_Application_panel">Accessing the Application panel</h2>

<p>The Application panel is available on the standard DevTools tab menu under <em>Application</em>, in Firefox 79+. If you can’t see it there, you can enable it by going to the "three dot" menu and selecting <em>Settings</em> (also accessible by pressing F1), then checking the <em>Application</em> checkbox under <em>Default Developer Tools</em>.</p>

<h2 id="Finding_an_example">Finding an example</h2>

<p>If you want to test this functionality and you don't have a handy PWA available, you can grab one of our simple examples to use:</p>

<ul>
 <li>Add to homescreen demo: Shows pictures of foxes (<a href="https://github.com/mdn/pwa-examples/tree/master/a2hs">source code</a> | <a href="https://mdn.github.io/pwa-examples/a2hs/">live version</a>)</li>
 <li>Js13kpwa demo: Show information on entries to the JS13K annual competition (<a href="https://github.com/mdn/pwa-examples/tree/master/js13kpwa">source code</a> | <a href="https://mdn.github.io/pwa-examples/js13kpwa/">live version</a>)</li>
</ul>

<h2 id="How_to">How to</h2>

<ul>
 <li><a href="/en-US/docs/Tools/Application/Service_workers">Debug service workers</a></li>
 <li><a href="/en-US/docs/Tools/Application/Manifests">Inspect web app manifests</a></li>
</ul>
